#include <iostream>

using namespace std;

int main()
{
    int x1,x2,x3,x4,y1,y2,y3,y4,szam,szam2;
    cin>>x1>>y1>>x2>>y2;
    y4=y2;
    y3=y1;
    x4=x1;
    x2=x3;
    szam=2;
    szam2=1;
    if(y1==y2)
        cout<<szam<<endl;
    else
        cout<<szam2<<endl;

    return 0;
}